*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    scroll-behavior:smooth;
}

body{
    font-family:Arial, Helvetica, sans-serif;
    background:#050505;
    color:white;
    overflow-x:hidden;
}

body::before{
    content:'';
    position:fixed;
    width:500px;
    height:500px;
    background:#00e5ff15;
    border-radius:50%;
    filter:blur(150px);
    top:-100px;
    left:-100px;
    z-index:-1;
}

body::after{
    content:'';
    position:fixed;
    width:500px;
    height:500px;
    background:#7b2cff15;
    border-radius:50%;
    filter:blur(150px);
    bottom:-100px;
    right:-100px;
    z-index:-1;
}

section{
    padding:100px 0;
}

.custom-navbar{
    background:rgba(0,0,0,0.6);
    backdrop-filter:blur(12px);
    border-bottom:1px solid rgba(255,255,255,0.1);
    padding:15px 0;
}

.logo{
    color:#00e5ff !important;
    font-size:28px;
    font-weight:bold;
    letter-spacing:3px;
}

.nav-link{
    color:white !important;
    margin-left:20px;
    transition:0.4s;
}

.nav-link:hover{
    color:#00e5ff !important;
}

.hero-section{
    position:relative;
}

.small-title{
    color:#00e5ff;
    letter-spacing:6px;
    margin-bottom:20px;
}

.hero-text h1{
    font-size:70px;
    font-weight:900;
    line-height:1.1;
}

.hero-text h1 span{
    color:#00e5ff;
    text-shadow:0 0 25px #00e5ff;
}

.hero-description{
    color:#bdbdbd;
    margin:30px 0;
    font-size:18px;
    line-height:1.8;
}

.hero-buttons{
    display:flex;
    gap:20px;
    flex-wrap:wrap;
}

.main-btn,
.second-btn{
    text-decoration:none;
    padding:15px 35px;
    border-radius:50px;
    transition:0.4s;
    font-weight:bold;
}

.main-btn{
    background:#00e5ff;
    color:black;
    box-shadow:0 0 25px #00e5ff70;
}

.main-btn:hover{
    transform:translateY(-5px);
}

.second-btn{
    border:1px solid #00e5ff;
    color:white;
}

.second-btn:hover{
    background:#00e5ff20;
}

.hero-card{
    background:rgba(255,255,255,0.05);
    border:1px solid rgba(255,255,255,0.1);
    border-radius:30px;
    padding:40px;
    backdrop-filter:blur(15px);
    box-shadow:0 0 40px rgba(0,229,255,0.1);
    height:500px;
    background:linear-gradient(135deg,#00e5ff20,#7b2cff20),
    url(photo1.jpg);
    background-size:cover;
    background-position:center;
}
.hero-card{

    animation: float 4s ease-in-out infinite;
}
@keyframes float{

    0%{
        transform: translateY(0px);
    }

    50%{
        transform: translateY(-15px);
    }

    100%{
        transform: translateY(0px);
    }

}   



.card-line{
    width:100%;
    height:1px;
    background:rgba(255,255,255,0.1);
    margin:30px 0;
}

.info-boxes{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:20px;
}


.info-box{
    background:#0d0d0d;
    border-radius:20px;
    padding:20px;
    border:1px solid rgba(255,255,255,0.1);
}
.info-box:hover{
    transform:translateY(-10px);
    box-shadow:0 0 25px rgba(0,229,255,0.2);
    transition: 0.5s;
}


.info-box h2{
    color:#00e5ff;
    font-size:25px;
}


.about-image{
    height:500px;
    border-radius:30px;
    background:linear-gradient(135deg,#00e5ff20,#7b2cff20),
    url(photo2.jpg);
    background-size:cover;
    background-position:center;
    border:1px solid rgba(255,255,255,0.1);
    
}
.about-image:hover{
    transform:translateY(-10px);
    box-shadow:0 0 25px rgba(0,229,255,0.2);
    transition: 0.5s;
}

.section-title h2{
    font-size:55px;
    font-weight:900;
    color:#00e5ff;
}

.about-text{
    color:#cfcfcf;
    line-height:1.9;
    margin-top:20px;
}

.about-cards{
    display:flex;
    gap:20px;
    margin-top:40px;
    flex-wrap:wrap;
}

.mini-card{
    flex:1;
    min-width:150px;
    background:rgba(255,255,255,0.05);
    padding:25px;
    border-radius:20px;
    text-align:center;
    border:1px solid rgba(255,255,255,0.08);
}

.mini-card i{
    font-size:35px;
    color:#00e5ff;
    margin-bottom:15px;
}
.mini-card:hover{
    transform:translateY(-10px);
    box-shadow:0 0 25px rgba(0,229,255,0.2);
    transition: 0.5s;
}

.skill-box{
    background:rgba(255,255,255,0.05);
    padding:30px;
    border-radius:25px;
    border:1px solid rgba(255,255,255,0.08);
    background:linear-gradient(135deg,#00e5ff20,#7b2cff20);
}
.skill-box:hover{
    transform:translateY(-10px);
    box-shadow:0 0 25px rgba(0,229,255,0.2);
    transition: 0.5s;
}

.skill-info{
    display:flex;
    justify-content:space-between;
    margin-bottom:15px;
}


.project-card{
    background:rgba(255,255,255,0.05);
    padding:30px;
    border-radius:30px;
    border:1px solid rgba(255,255,255,0.08);
    transition:0.5s;
}

.project-card:hover{
    transform:translateY(-12px);
    box-shadow:0 0 25px rgba(0,229,255,0.2);
    transition: 0.5s;
}

.project-image{
    height:220px;
    border-radius:25px;
    background:linear-gradient(135deg,#00e5ff20,#7b2cff20);
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:70px;
    font-weight:bold;
    color:#00e5ff;
    margin-bottom:25px;
}

.project-image img{
    width: 100%;
    height: 220px;
    object-fit: cover;
    border-radius: 20px;
}

.project-image:hover{
 transform:translateY(-12px);
    box-shadow:0 0 25px rgba(0,229,255,0.2);
    transition: 0.5s;
}

.project-card h3{
    margin-bottom:15px;
}

.project-card p{
    color:#bdbdbd;
    line-height:1.8;
}

.project-card button{
    width:100%;
    margin-top:25px;
    padding:14px;
    border:none;
    border-radius:20px;
    background:#00e5ff20;
    color:white;
    transition:0.4s;
}

.project-card button:hover{
    background:#00e5ff;
    color:black;
}

.contact-box{
    background:rgba(255,255,255,0.05);
    border:1px solid rgba(255,255,255,0.08);
    padding:60px;
    border-radius:40px;
}
.contact-card{
    background:rgba(255,255,255,0.05);
    border:1px solid rgba(255,255,255,0.08);
    border-radius:30px;
    padding:40px 30px;
    text-align:center;
    transition:0.5s;
    backdrop-filter:blur(12px);
}

.contact-card:hover{
    transform:translateY(-10px);
    box-shadow:0 0 25px rgba(0,229,255,0.2);
}

.contact-icon{
    width:80px;
    height:80px;
    margin:auto;
    margin-bottom:25px;
    border-radius:50%;
    background:linear-gradient(135deg,#00e5ff,#7b2cff);
    display:flex;
    align-items:center;
    justify-content:center;
}

.contact-icon i{
    font-size:32px;
    color:black;
}

.contact-card h3{
    margin-bottom:15px;
    font-size:28px;
}

.contact-card p{
    color:#bdbdbd;
    font-size:18px;
}


.send-btn:hover{
    transform:scale(1.05);
}
.social-section{
    padding: 30px 0;
    filter:blur(15 0px);
   
}

.social-icon{
    width: 70px;
    height: 70px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin: 10px;
    border-radius: 50%;
    font-size: 28px;
    color: #00f7ff;
    border: 1px solid #00f7ff;
    text-decoration: none;
    transition: 0.4s;
    box-shadow: 0 0 15px rgba(0,247,255,0.3);
    
}

.social-icon:hover{
    background: #00f7ff;
    color: #000;
    transform: translateY(-8px);
    box-shadow: 0 0 25px #00f7ff;
}

footer{
    padding:30px;
    text-align:center;
    border-top:1px solid rgba(255,255,255,0.08);
    color:#999;
}

@media(max-width:991px){

    .hero-text h1{
        font-size:50px;
    }

    .section-title h2{
        font-size:40px;
    }

    .contact-box{
        padding:35px;
    }
}

@media(max-width:768px){

    .hero-text h1{
        font-size:42px;
    }

    .info-boxes{
        grid-template-columns:1fr;
    }

    .section-title h2{
        font-size:35px;
    }
}

.navbar-toggler{
    border: none;
    box-shadow: none !important;
}

.navbar-toggler:focus{
    box-shadow: none !important;
}

.navbar-toggler i{
    color: #00e5ff;
    font-size: 32px;
}